/* CSS for Gizmo Travel Request */
 
:root {
	--BindLblScale : 0.70;
	--BindTYOffset : 2px;
	--BindFldLeftXOffset: -40px;
	--BindFldColor: black;
	--BindLblColor: black;
	--MaxMultipleHeight: 35px;
	--MaxMultipleHeightHover: 115px;
	--BindMarginTop: 50px;
	--BindLockedBG: #F9F9F9;
	---BindLockedBG: #CCC;
	--Flx-TI-Arrow:black;
	--BindSelectBG: #9c27b0;
	--BindSelectSelBG: #e5b1ee;
	--BindSelectBG: #683AB8;
	--BindSelectSelBG: #e5b1ee;
}

.Bind .BindFld {
	color: var(--BindFldColor);
	margin-bottom: 0px !important;
	height: 2.3rem !important;
}

.Bind .BindLbl {
	color: var(--BindFldColor);
	margin-left: 3px;
	font-size: 1.4em !important;
    font-weight: 600 !important;
    top: -5px !important;
    left: 5px !important;
    overflow: auto;
    white-space: nowrap;
    width: 140%;
    cursor: default;
    position: absolute;
}

.Bind.col .row
,.Bind .col .row  {
	margin-left: -0.45rem;
    margin-right: -0.2rem;
}
.row.BindRow {
    margin-bottom: 10px !important;
} 

.BindCont {
	margin-top: var(--BindMarginTop);
}

.Bind .row {
	margin-top: 0px;
	margin-bottom: 0px;
}

.BindLbl  {
    font-size: 1.2rem !important;
    color:#333 !important;
	transform: translateY(calc(var(--BindTYOffset) + -23px)) scale(var(--BindLblScale)) !important; 
	transform-origin: 0 0 !important;
	position: relative;
	text-wrap: nowrap;
}

.BindLbl .material-icons {
    vertical-align: text-bottom;
}

.BindFld {
	position: relative;
	background-color: #F5F5F5 !important;
	height: 34px; /* removed !important */
	margin-left:5px;
	padding-left: 5px !important;
	border-radius: 10px  !important;
	border-bottom: 0px !important;
	box-shadow: none !important;
    border: 1px solid #00000010 !important;
    /* Again compensating for materialzie */
    border-top:0px solid #00000010 !important;
    border-bottom:0px solid #00000010 !important;
 
}

.BindFld:not(.qm_Textarea) {
	box-shadow: inset 0px 1px 0px 0px #00000010, inset 0px -1px 0px 0px #00000010 !important
}	

.Bind .ql-toolbar {
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	--box-shadow: 0px 1px 2px 0px #00000044;
}

.BindFld {
	margin-left: 10px;
}


.BindFldselect-one .BindFld  {
	padding-left: 0px !important;
	padding-top: 0px !important;
}


.BindFldfile {
	margin: 0px 0px !important;
}


.BindFld .choices__item {
	margin: 0px 5px 0px 0px !important;
}	


.BindFld.choices  {
	margin-left: 0px !important;
}


.BindFld.disabled {
	pointer-events: none;	
	color: #000 !important;
	background-color: transparent !important;
}


		
.BindFld.choices {
    --width: 170px;
    border-radius: 7px;
    padding: 3px 0px;
    overflow: clip;
}

.BindFld .choices__inner {
    background-color: transparent !important;
    --color: white !important;
    font-weight: 700;
    padding: 0px;
    display: flex;
    --align-items: center;
    min-height: 30px !important;
    border-radius: 4px;
    --box-shadow: 0 1px 2px 0px #00000044;
    border:0px;
    max-height: 24px;
    gap: 0px;
    column-gap: 0px;
    position: relative;
}

.BindFld .browser-default .choices__inner {
	box-shadow: none;
	background-color: transparent;
	border-bottom: 1px solid #AAA;
	border-radius: 0px;
    padding-bottom: 5px !important;
}

.BindFld .choices__list--single .choices__item {
    font-weight: normal;
    opacity: 1 !important;
    text-shadow: none !important;
    font-size: 16px;
    white-space: pre-wrap;
    line-break: anywhere;
    word-break: break-word !important;
    max-height: 24px;
    overflow: auto;

}

.BindFld .choices__list .choices__item.choices__item--choice.choices__placeholder {
	white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis  !important;
}


/*
.input-field.BindCont.Bindselect:hover {
	height: 59px;
}	

.BindFldCont.BindFldselect-multiple:hover{
 	position: absolute;
 	z-index: 100;
 	max-height: var(--MaxMultipleHeightHover);
} 
*/

/*.BindFld[data-type="select-multiple"]:hover, .BindFld[data-type="select-multiple"]:hover .choices__inner {
	max-height: var(--MaxMultipleHeightHover);
}
.choices.BindFld[data-type="select-multiple"]:hover:not(.is-open) {
	height: var(--MaxMultipleHeightHover);
}*/



.BindFld[data-type="select-multiple"]  {
	max-height: var(--MaxMultipleHeightHover) !important;
    position: relative;
    height: fit-content !important;
}

.BindFld[data-type="select-multiple"].is-open {
	height: var(--MaxMultipleHeightHover) !important;
	z-index: 1000;
}


.BindFld .choices__list--multiple .choices__item {
	border-radius: 20px;
	border: 1px solid #00000020;
    background-color: #00000005;
    color: #000;
	margin: 1px 5px 5px 5px!important;
	font-size: 1rem !important;
	font-weight: 400;
	line-height: 1em;
}

.BindFld .choices__list--multiple .choices__item:hover {
	background-color: var(--BindSelectBG) !important;
    color: white;
}

.BindFld .choices[data-type*=select-one]:not(.is-open)::after {
    border-color: #fff transparent transparent;
}

.BindFld .choices[data-type*=select-one].is-open::after {
    border-color:  transparent transparent #fff;
}

/* no .BindFld here */
.choices__list--dropdown, choices__list[aria-expanded] {
    width: 96.5% !important;
    border-radius: 4px;
    box-shadow: 0px 3px 8px 0px #00000055;
    padding-bottom: 0px;
    border-color: transparent !important;
    border:none !important;
    margin-left: 2px !important;
    z-index: 1000 !important;
}

.BindFld .choices__item {
    padding: 0px 5px;
    margin: 5px 5px 0px 0px;
    white-space: break-spaces;
    word-break: break-word !important;
    font-size: .8em;
}




.BindFld .choices__input[role*="textbox"] {
    height: 1em;
    box-shadow: 0px 2px 3px -1px #00000033 !important;
    padding-top: 10px !important;
}

.BindFld .choices__input[role*="listbox"] {
    padding: 0px 10px;
    box-shadow: 0px 3px 4px 0px #00000055 !important;
}

.BindFld[data-type="select-multiple"] .choices__inner {
	overflow-y: auto;
	max-height: var(--MaxMultipleHeight);
}


.BindFld[data-type="select-multiple"].is-open .choices__inner {
	max-height: var(--MaxMultipleHeightHover);
}


.choices.BindFld[data-type="select-multiple"].is-open {
	border-top-right-radius: 0px !important;
	max-height: var(--MaxMultipleHeightHover);
}




.BindFldselect-multiple .choices__inner {
	cursor: pointer !important;
}	
   
.BindFldselect-multiple input[type*="search"] {
	opacity: 0;
	right: 0px;
    position: absolute;
    z-index: 2000 !important;
    top: -28px;
    right: 0px;
    height: 18px;
    text-align: right;
    background: #f5f5f5 !important;
    border: 1px #00000010 solid !important;
    border-bottom: 0px !important;
    box-shadow: none !important;
    padding: 5px !important;
    border-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    padding-left: 10px !important;
    padding-right: 10px !important;
    z-index: 100;
    max-width: 50%;
}


.BindFldselect-multiple.is-open input[type*="search"] {
	opacity: 1;
}

.BindFldselect-multiple.is-open input[type*="search"]::placeholder {
	color:#AAA;
}

.BindFld .choices__list:not(.choices__list--dropdown, .choices__list--single, .choices__list--multiple) {
  padding-top: 15px;  
  --max-height: calc(55vh - 75px) !important;
}

.BindFld .choices__item.is-selected {
    background-color: var(--BindSelectSelBG)  !important;
    color: black;
    border-radius: 3px;
}

.BindFld .choices__item.is-highlighted  {
    background-color: var(--BindSelectBG)  !important;
    color: white;
    box-shadow: 0px 3px 8px 0px #00000055;
    border-radius: 3px;
    font-weight: 600;
}

.BindFld .choices__list--multiple .choices__item.is-highlighted  {
	border-radius: 10px;	
	box-shadow: none !important;
	border: 1px solid transparent;
	margin: 1px !important;
	font-weight: 400;
}	

 

.BindFld .choices__list--single {
    padding: 4px 16px 4px 1px;
}

.BindFld .choices[data-type*=select-one]::after {
    margin-top: -2.5px;
}

.BindFld .choices__searchhint {
	font-size: .7em;
	margin-left: 1em;
}


 .BindFld .choices__list--dropdown .choices__item--selectable
 ,.BindFld .choices__list[aria-expanded] .choices__item--selectable {
        padding-right:inherit !important;
 }

 .BindFld .choices__item--choice > * {
 	pointer-events: none;
 }

.BindFldCont {
	width: -webkit-fill-available;
	position: relative;
	height: 100%;
    clear: both;
    display: table;
} 

.BindFldCont textarea.materialize-textarea {
	padding-top:7px;
	padding-bottom:7px;
	overflow:overlay;
}


/* Label Position LEFT -- MUST SET parent and same class. */
.BindLblLeft .BindCont
,.BindLblLeft.BindCont {
	display: flex !important;
    justify-content: flex-start;
    flex-wrap: nowrap;
    align-items: flex-start;
    flex-direction: row;
    margin-top: 10px;
    margin-bottom: 10px;

}

.BindLblLeft .BindFldCont {
	display: inline-block;
} 

.BindLblLeft .BindLbl {
	position:relative !important;
	transform: translateY(calc(var(--BindTYOffset) + 0px)) scale(var(--BindLblScale)) !important;
	pointer-events: none;
}

.BindLblLeft.BindAlnRight .BindLbl  {
	text-align:right;
}


.BindLblLeft .BindFld {
	position:relative !important;
	vertical-align: middle;
	margin-bottom: 0px !important;
}

.BindLblLeft .BindLbl {
	margin-top: 3px;
	white-space: break-spaces;
	max-height: 2.8em;
	overflow: hidden;
	overflow-x: overlay;
}

.BindLblLeft .BindFld, .BindLblLeft .BindFld.choices {
	margin-left: var(--BindFldLeftXOffset) !important;
    left: unset;
    right: unset;
}

.BindLblLeft .BindFldDisp {
	margin-left: 25px !important;
	margin-left: auto; 
    left: unset;
    right: unset;
}

.BindLblLeft .BindFldDisp.BindFldselect-one {
	font-size: 16px;
}	

.BindLblLeft .BindFld.choices {
	width:100%;
}


.BindLblLeft .min100 {
	min-width: 100px;
}


.BindLblLeft .BindLbl {
	margin-top: 7px;
}	

.BindLblLeft .BindLbl.BindLblselect-one {
	margin-top: 5px;
}	


.BindLblLeft .BindLbl.BindLbldate {
	margin-top: 7px;
}	



/* Display Settings | LOCKED */
.Bind .BindFldDisp {
	display:  none;
	padding-left: 10px;
	width: -webkit-fill-available;
}




.Bind .BindLocked .BindFldselect-one .BindFld {
	border-color: transparent !important;
	pointer-events: none !important;
	background-color: #f8f8f8 !important;
	box-shadow: none !important;
}

.Bind .BindLocked .BindFldselect-one .BindFld:after {
	display: none;
}	

.Bind .BindLocked .BindFldCont:not(.BindFldselect-one,.BindFldselect-multiple,.ql-notoolbar,.ql-toolbar) {
	display:  none;
}

.Bind .BindLocked .BindFldDisp.BindFldselect-one, .Bind .BindLocked .BindFldDisp.BindFldselect-multiple {
	display:  none;
}

.Bind .BindLocked .BindFldDisp {
	display:  revert;
	min-height: 25px;
}

.Bind .Bindtextarea.BindLocked .BindFldDisp {
	display:  none;
}


.BindLblLeft .BindLocked .BindFldDisp {
	display:  revert;
	margin-top: 7px;
}


.Bind .BindLocked .BindLbl {
	transform: translateY(calc(var(--BindTYOffset) + -29px)) scale(var(--BindLblScale)) !important;
}

.BindLblLeft .BindLocked .BindLbl
, .BindLocked .BindLblLeft  .BindLbl {
	transform: translateY(calc(var(--BindTYOffset) + 0px)) scale(var(--BindLblScale)) !important; 
}

.Bind .BindLbl.BindWrap {
	transform: translateY(calc(var(--BindTYOffset) + 0.3em)) scale(var(--BindLblScale)) !important; 	
	overflow: visible  !important;;
    white-space: normal !important;
    position: relative;
    display: block;
    margin-top: -1.5em;
}


.Bind .BindFldDisp.BindFldemail { /* not left */
	--margin-top: 26px;
}



/* Required */
.BindFldReq {
	display: none;
}

.BindReq .BindFldReq {
	display: block;
    position: absolute;
    overflow: hidden;
    border-radius: 119px;
    height: 20px;
    width: 20px;
    bottom: 1px;
    left:0px;
    pointer-events: none;
}

.BindReq.col .BindFldReq {
	--left: 11px;
}



.Bind .col:not(input) {
    padding: 0 0 !important;
}


.Bind .col:not(:last-child), .Bind .col:not(:last-child) .BindFldtel .iti11 {
    padding-right: 25px !important;
}


.Bind .col .BindFldtel .iti {
    width: calc(100% - 25px) !important;
}
@media only screen and (max-width: 601px) {
	.Bind .col:not(:last-child) {
	    padding-right: 0px !important;
	}
}	

.Bind .col:not(.fullwidth):last-child {
    padding-right: 25px !important;
}




.BindReq .BindFldReq:after {
	content: "";
	position: absolute;
    bottom: -2px;
    left: -10px;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #CC0000;
    clear: both !important;
    z-index: 2;
    overflow: hidden;
    rotate: 225deg;
}

	

/*
ontent: "";
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #CC0000;
    clear: both !important;
    z-index: 2;
    
    float: left;
    overflow: hidden;

    rotate: 225deg;
    --box-shadow: 0px 2px 2px -1px #00000055;
    */

.BindLblLeft.BindReq .BindFldReq, .BindLblLeft .BindReq .BindFldReq{
	margin-left: var(--BindFldLeftXOffset) !important;
}	


/* TWILIO Phone Number Field */
.iti+.BindFldReq {
    top: 33px;
    position: absolute;
    left: 8px;
    bottom: 0;
}

.input-field .BindFldDisp.BindFldtel+.helper-text {
    text-align: left !important;
    margin-top: .25rem;
    display: flex; 
    align-items: center;
}

.Bind .input-field {
	margin-bottom: 0px;
}

.Bind .ql-container.ql-snow {
	--border-top: none !important;
}

.Bind .ql-container.ql-snow {
	border-top: none !important;
	border-top-left-radius: 0px !important;
	border-top-right-radius: 0px !important;
}

.Bind .ql-notoolbar .ql-container.ql-snow {
	border-radius: 10px !important;
	border: 1px solid #00000010 !important;
}

.Bind .ql-notoolbar .ql-toolbar {
	display: none !important;
}	



.Bind .ql-toolbar.ql-snow {
	background-color: #F0F0F0 !important;
	border: 1px solid #00000010 !important;
	border-bottom: none !important;
	margin-right: 0px;
    margin-left: 0px;
}	


.Bind .Bind-Code {
 	background-color: #607d8b12  !important;
    color: #000 !important;
    --border-radius: 10px !important;	
    font-weight: 600;
}    

.Bind .Bind-Code .ql-editor * {
	font-family: Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace !important;
    font-size: 1em;
}	


.Bind .BindContLocked .ql-snow.ql-toolbar {
	display: none !important;
}

.Bind .BindContLocked .ql-editor {
	padding: 0px 0px !important;	
}



.Bind .BindContLocked .ql-container, .Bind .BindContLocked .BindFldDisp {
	border-color: transparent !important;
	color: var(--DG-Text-Color) !important;
	background-color: var(--BindLockedBG);
	border-radius: 10px !important;
	cursor: default;
	padding: 5px 10px !important;	
}

.Bind .BindContLocked .ql-notoolbar .ql-container.ql-snow {
	border-top: 0px !important;
}

.Bind .BindLocked .BindFldDisp.BindFldselect-one, .Bind .BindLocked .BindFldDisp {
	padding: 5px 10px !important;
	min-height: 32.5px !important;
}	

.Bind .BindLocked .BindFldSubLabel.col:last-child {
	padding-left: 25px !important;
}


.Bind .BindContLocked .BindFldReq, .Bind .BindLocked .BindReq .BindFldReq  {
	display: none !important;
}

.bind-container {
	position: relative;
}

.Bind .ql-editor td {
	border: 1px dotted #DDD;
}

.BindHide {
	position: absolute !important;
	left: -5000px !important;
}

.choices[data-type*=select-one].is-open::after {
  border-color: transparent transparent var(--Flx-TI-Arrow) !important;
}

.choices[data-type*=select-one]::after {
  border-color: var(--Flx-TI-Arrow)transparent transparent !important;
}